Version: 1.4.0
connhex-manufacturing
The following is the default ConnhexJSON Schema provided out ouf the box for Connhex Manufacturing:
Device
{
"$id": "https://connhex.com/device.schema.json",
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"deviceType": {
"type": "string",
"title": "Device Type"
},
"connhexId": {
"type": "string",
"title": "Connhex ID"
},
"pcbPartNumber": {
"type": "string",
"title": "Pcb Part Number"
},
"fwVersion": {
"type": "string",
"title": "FW Version"
},
"partNumber": {
"type": "string",
"title": "Part Number"
},
"serialNumber": {
"type": "string",
"title": "Serial Number"
},
"workOrder": {
"type": "string",
"title": "Work Order"
},
"productionOrder": {
"type": "string",
"title": "production_order"
},
"palletId": {
"type": "string",
"title": "Pallet ID"
},
"packageId": {
"type": "string",
"title": "Package ID"
},
}
}
Tenants
Every device schema must include a tenants field (string[]). This field is required by the platform to support multi-tenancy:
- On read / list: results are automatically scoped to devices belonging to the caller's authorized tenants.
- On create: if
tenantsis not provided in the request body, the device is automatically assigned to the caller's authorized tenants. If provided, the value is intersected with the caller's authorized tenants. - On update: the
tenantsfield can be updated to reassign a device to different tenants (within the caller's authorized set).
Authentication
- HTTP: Bearer Auth
- API Key: chx_auth_session
- API Key: thingKey
Security Scheme Type: | http |
|---|---|
HTTP Authorization Scheme: | bearer |
Security Scheme Type: | apiKey |
|---|---|
Cookie parameter name: | chx_auth_session |
Use Authorization header: Thing <thing-key>
Security Scheme Type: | apiKey |
|---|---|
Header parameter name: | Authorization |